

import pyflow_acdc as pyf
import pandas as pd


def PEI_grid():    
    
    S_base=100
    
    # DataFrame Code:
    nodes_AC_data = [
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T1', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.573081, 'y_coord': 51.594018, 'PZ': None, 'geometry': 'POINT (2.573081 51.594018)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T2', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.592645, 'y_coord': 51.608707, 'PZ': None, 'geometry': 'POINT (2.592645 51.608707)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T3', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.55544, 'y_coord': 51.590732, 'PZ': None, 'geometry': 'POINT (2.55544 51.590732)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T4', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.574998, 'y_coord': 51.605424, 'PZ': None, 'geometry': 'POINT (2.574998 51.605424)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T5', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.594568, 'y_coord': 51.620113, 'PZ': None, 'geometry': 'POINT (2.594568 51.620113)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T6', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.557353, 'y_coord': 51.602138, 'PZ': None, 'geometry': 'POINT (2.557353 51.602138)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T7', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.576916, 'y_coord': 51.61683, 'PZ': None, 'geometry': 'POINT (2.576916 51.61683)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T8', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.596491, 'y_coord': 51.631518, 'PZ': None, 'geometry': 'POINT (2.596491 51.631518)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T9', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.539711, 'y_coord': 51.598849, 'PZ': None, 'geometry': 'POINT (2.539711 51.598849)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T10', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.559267, 'y_coord': 51.613544, 'PZ': None, 'geometry': 'POINT (2.559267 51.613544)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T11', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.578835, 'y_coord': 51.628236, 'PZ': None, 'geometry': 'POINT (2.578835 51.628236)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T12', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.598416, 'y_coord': 51.642924, 'PZ': None, 'geometry': 'POINT (2.598416 51.642924)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T13', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.522072, 'y_coord': 51.595558, 'PZ': None, 'geometry': 'POINT (2.522072 51.595558)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T14', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.54162, 'y_coord': 51.610256, 'PZ': None, 'geometry': 'POINT (2.54162 51.610256)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T15', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.561181, 'y_coord': 51.62495, 'PZ': None, 'geometry': 'POINT (2.561181 51.62495)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T16', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.580755, 'y_coord': 51.639641, 'PZ': None, 'geometry': 'POINT (2.580755 51.639641)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T17', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.600342, 'y_coord': 51.654329, 'PZ': None, 'geometry': 'POINT (2.600342 51.654329)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T18', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.505122, 'y_coord': 51.592584, 'PZ': None, 'geometry': 'POINT (2.505122 51.592584)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T19', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.523976, 'y_coord': 51.606965, 'PZ': None, 'geometry': 'POINT (2.523976 51.606965)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T20', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.54353, 'y_coord': 51.621662, 'PZ': None, 'geometry': 'POINT (2.54353 51.621662)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T21', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.563097, 'y_coord': 51.636356, 'PZ': None, 'geometry': 'POINT (2.563097 51.636356)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T22', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.582676, 'y_coord': 51.651047, 'PZ': None, 'geometry': 'POINT (2.582676 51.651047)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T23', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.602268, 'y_coord': 51.665735, 'PZ': None, 'geometry': 'POINT (2.602268 51.665735)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T24', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.506335, 'y_coord': 51.603671, 'PZ': None, 'geometry': 'POINT (2.506335 51.603671)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T25', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.525882, 'y_coord': 51.618372, 'PZ': None, 'geometry': 'POINT (2.525882 51.618372)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T26', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.545441, 'y_coord': 51.633069, 'PZ': None, 'geometry': 'POINT (2.545441 51.633069)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T27', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.565013, 'y_coord': 51.647762, 'PZ': None, 'geometry': 'POINT (2.565013 51.647762)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T28', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.584598, 'y_coord': 51.662453, 'PZ': None, 'geometry': 'POINT (2.584598 51.662453)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T29', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.478317, 'y_coord': 51.59053, 'PZ': None, 'geometry': 'POINT (2.478317 51.59053)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T30', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.508236, 'y_coord': 51.615078, 'PZ': None, 'geometry': 'POINT (2.508236 51.615078)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T31', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.527788, 'y_coord': 51.629778, 'PZ': None, 'geometry': 'POINT (2.527788 51.629778)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_T32', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.547353, 'y_coord': 51.644475, 'PZ': None, 'geometry': 'POINT (2.547353 51.644475)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_I_OS5', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.587194, 'y_coord': 51.595258, 'PZ': None, 'geometry': 'POINT (2.587194 51.595258)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T1', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.44283, 'y_coord': 51.395859, 'PZ': None, 'geometry': 'POINT (2.44283 51.395859)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T2', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.460144, 'y_coord': 51.411574, 'PZ': None, 'geometry': 'POINT (2.460144 51.411574)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T3', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.47747, 'y_coord': 51.427286, 'PZ': None, 'geometry': 'POINT (2.47747 51.427286)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T4', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.494808, 'y_coord': 51.442996, 'PZ': None, 'geometry': 'POINT (2.494808 51.442996)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T5', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.512158, 'y_coord': 51.458703, 'PZ': None, 'geometry': 'POINT (2.512158 51.458703)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T6', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.529519, 'y_coord': 51.474408, 'PZ': None, 'geometry': 'POINT (2.529519 51.474408)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T7', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.550535, 'y_coord': 51.491772, 'PZ': None, 'geometry': 'POINT (2.550535 51.491772)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T8', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.425803, 'y_coord': 51.391609, 'PZ': None, 'geometry': 'POINT (2.425803 51.391609)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T9', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.44311, 'y_coord': 51.407326, 'PZ': None, 'geometry': 'POINT (2.44311 51.407326)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T10', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.460429, 'y_coord': 51.423041, 'PZ': None, 'geometry': 'POINT (2.460429 51.423041)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T11', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.477759, 'y_coord': 51.438753, 'PZ': None, 'geometry': 'POINT (2.477759 51.438753)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T12', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.495101, 'y_coord': 51.454463, 'PZ': None, 'geometry': 'POINT (2.495101 51.454463)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T13', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.512455, 'y_coord': 51.47017, 'PZ': None, 'geometry': 'POINT (2.512455 51.47017)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T14', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.529821, 'y_coord': 51.485875, 'PZ': None, 'geometry': 'POINT (2.529821 51.485875)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T15', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.40878, 'y_coord': 51.387356, 'PZ': None, 'geometry': 'POINT (2.40878 51.387356)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T16', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.426079, 'y_coord': 51.403076, 'PZ': None, 'geometry': 'POINT (2.426079 51.403076)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T17', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.44339, 'y_coord': 51.418793, 'PZ': None, 'geometry': 'POINT (2.44339 51.418793)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T18', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.460713, 'y_coord': 51.434508, 'PZ': None, 'geometry': 'POINT (2.460713 51.434508)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T19', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.478048, 'y_coord': 51.45022, 'PZ': None, 'geometry': 'POINT (2.478048 51.45022)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T20', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.495394, 'y_coord': 51.46593, 'PZ': None, 'geometry': 'POINT (2.495394 51.46593)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T21', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.512753, 'y_coord': 51.481637, 'PZ': None, 'geometry': 'POINT (2.512753 51.481637)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T22', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.535222, 'y_coord': 51.498702, 'PZ': None, 'geometry': 'POINT (2.535222 51.498702)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T23', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.547506, 'y_coord': 51.513044, 'PZ': None, 'geometry': 'POINT (2.547506 51.513044)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T24', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.391759, 'y_coord': 51.383101, 'PZ': None, 'geometry': 'POINT (2.391759 51.383101)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T25', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.409051, 'y_coord': 51.398823, 'PZ': None, 'geometry': 'POINT (2.409051 51.398823)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T26', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.426355, 'y_coord': 51.414543, 'PZ': None, 'geometry': 'POINT (2.426355 51.414543)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T27', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.44367, 'y_coord': 51.430261, 'PZ': None, 'geometry': 'POINT (2.44367 51.430261)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T28', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.460997, 'y_coord': 51.445975, 'PZ': None, 'geometry': 'POINT (2.460997 51.445975)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T29', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.478337, 'y_coord': 51.461688, 'PZ': None, 'geometry': 'POINT (2.478337 51.461688)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T30', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.495688, 'y_coord': 51.477397, 'PZ': None, 'geometry': 'POINT (2.495688 51.477397)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T31', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.513051, 'y_coord': 51.493104, 'PZ': None, 'geometry': 'POINT (2.513051 51.493104)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T32', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.547812, 'y_coord': 51.52451, 'PZ': None, 'geometry': 'POINT (2.547812 51.52451)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T33', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.374742, 'y_coord': 51.378843, 'PZ': None, 'geometry': 'POINT (2.374742 51.378843)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T34', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.392026, 'y_coord': 51.394568, 'PZ': None, 'geometry': 'POINT (2.392026 51.394568)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T35', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.409322, 'y_coord': 51.410291, 'PZ': None, 'geometry': 'POINT (2.409322 51.410291)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T36', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.42663, 'y_coord': 51.426011, 'PZ': None, 'geometry': 'POINT (2.42663 51.426011)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T37', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.44395, 'y_coord': 51.441728, 'PZ': None, 'geometry': 'POINT (2.44395 51.441728)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T38', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.461282, 'y_coord': 51.457443, 'PZ': None, 'geometry': 'POINT (2.461282 51.457443)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T39', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.478626, 'y_coord': 51.473155, 'PZ': None, 'geometry': 'POINT (2.478626 51.473155)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T40', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.495981, 'y_coord': 51.488864, 'PZ': None, 'geometry': 'POINT (2.495981 51.488864)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T41', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.518933, 'y_coord': 51.506535, 'PZ': None, 'geometry': 'POINT (2.518933 51.506535)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T42', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.548119, 'y_coord': 51.535977, 'PZ': None, 'geometry': 'POINT (2.548119 51.535977)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T43', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.565523, 'y_coord': 51.551676, 'PZ': None, 'geometry': 'POINT (2.565523 51.551676)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T44', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.357728, 'y_coord': 51.374583, 'PZ': None, 'geometry': 'POINT (2.357728 51.374583)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T45', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.375005, 'y_coord': 51.390311, 'PZ': None, 'geometry': 'POINT (2.375005 51.390311)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T46', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.392293, 'y_coord': 51.406036, 'PZ': None, 'geometry': 'POINT (2.392293 51.406036)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T47', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.409594, 'y_coord': 51.421758, 'PZ': None, 'geometry': 'POINT (2.409594 51.421758)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T48', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.426906, 'y_coord': 51.437478, 'PZ': None, 'geometry': 'POINT (2.426906 51.437478)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T49', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.444231, 'y_coord': 51.453195, 'PZ': None, 'geometry': 'POINT (2.444231 51.453195)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T50', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.461567, 'y_coord': 51.46891, 'PZ': None, 'geometry': 'POINT (2.461567 51.46891)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T51', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.478915, 'y_coord': 51.484622, 'PZ': None, 'geometry': 'POINT (2.478915 51.484622)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T52', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.496275, 'y_coord': 51.500331, 'PZ': None, 'geometry': 'POINT (2.496275 51.500331)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T53', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.527631, 'y_coord': 51.529176, 'PZ': None, 'geometry': 'POINT (2.527631 51.529176)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T54', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.548426, 'y_coord': 51.547444, 'PZ': None, 'geometry': 'POINT (2.548426 51.547444)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T55', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.565834, 'y_coord': 51.563143, 'PZ': None, 'geometry': 'POINT (2.565834 51.563143)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T56', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.392561, 'y_coord': 51.417503, 'PZ': None, 'geometry': 'POINT (2.392561 51.417503)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T57', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.409866, 'y_coord': 51.433225, 'PZ': None, 'geometry': 'POINT (2.409866 51.433225)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T58', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.427182, 'y_coord': 51.448945, 'PZ': None, 'geometry': 'POINT (2.427182 51.448945)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T59', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.444511, 'y_coord': 51.464662, 'PZ': None, 'geometry': 'POINT (2.444511 51.464662)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T60', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.461852, 'y_coord': 51.480377, 'PZ': None, 'geometry': 'POINT (2.461852 51.480377)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T61', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.474591, 'y_coord': 51.498959, 'PZ': None, 'geometry': 'POINT (2.474591 51.498959)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T62', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.500696, 'y_coord': 51.513761, 'PZ': None, 'geometry': 'POINT (2.500696 51.513761)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T63', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.531333, 'y_coord': 51.543209, 'PZ': None, 'geometry': 'POINT (2.531333 51.543209)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_T64', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.548733, 'y_coord': 51.558911, 'PZ': None, 'geometry': 'POINT (2.548733 51.558911)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_II_OS1', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.501002, 'y_coord': 51.526531, 'PZ': None, 'geometry': 'POINT (2.501002 51.526531)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T1', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.399499, 'y_coord': 51.523035, 'PZ': None, 'geometry': 'POINT (2.399499 51.523035)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T2', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.383422, 'y_coord': 51.505322, 'PZ': None, 'geometry': 'POINT (2.383422 51.505322)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T3', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.367357, 'y_coord': 51.487606, 'PZ': None, 'geometry': 'POINT (2.367357 51.487606)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T4', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.351304, 'y_coord': 51.469888, 'PZ': None, 'geometry': 'POINT (2.351304 51.469888)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T5', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.335264, 'y_coord': 51.452168, 'PZ': None, 'geometry': 'POINT (2.335264 51.452168)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T6', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.30831, 'y_coord': 51.438228, 'PZ': None, 'geometry': 'POINT (2.30831 51.438228)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T7', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.448625, 'y_coord': 51.56417, 'PZ': None, 'geometry': 'POINT (2.448625 51.56417)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T8', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.432514, 'y_coord': 51.546464, 'PZ': None, 'geometry': 'POINT (2.432514 51.546464)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T9', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.416416, 'y_coord': 51.528755, 'PZ': None, 'geometry': 'POINT (2.416416 51.528755)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T10', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.40033, 'y_coord': 51.511044, 'PZ': None, 'geometry': 'POINT (2.40033 51.511044)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T11', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.384256, 'y_coord': 51.49333, 'PZ': None, 'geometry': 'POINT (2.384256 51.49333)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T12', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.368195, 'y_coord': 51.475615, 'PZ': None, 'geometry': 'POINT (2.368195 51.475615)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T13', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.352146, 'y_coord': 51.457897, 'PZ': None, 'geometry': 'POINT (2.352146 51.457897)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T14', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.33611, 'y_coord': 51.440177, 'PZ': None, 'geometry': 'POINT (2.33611 51.440177)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T15', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.320086, 'y_coord': 51.422454, 'PZ': None, 'geometry': 'POINT (2.320086 51.422454)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T16', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.449444, 'y_coord': 51.552178, 'PZ': None, 'geometry': 'POINT (2.449444 51.552178)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T17', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.433337, 'y_coord': 51.534472, 'PZ': None, 'geometry': 'POINT (2.433337 51.534472)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T18', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.417242, 'y_coord': 51.516763, 'PZ': None, 'geometry': 'POINT (2.417242 51.516763)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T19', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.40116, 'y_coord': 51.499052, 'PZ': None, 'geometry': 'POINT (2.40116 51.499052)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T20', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.38509, 'y_coord': 51.481339, 'PZ': None, 'geometry': 'POINT (2.38509 51.481339)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T21', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.369033, 'y_coord': 51.463623, 'PZ': None, 'geometry': 'POINT (2.369033 51.463623)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T22', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.352988, 'y_coord': 51.445905, 'PZ': None, 'geometry': 'POINT (2.352988 51.445905)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T23', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.336956, 'y_coord': 51.428185, 'PZ': None, 'geometry': 'POINT (2.336956 51.428185)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T24', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.466378, 'y_coord': 51.557891, 'PZ': None, 'geometry': 'POINT (2.466378 51.557891)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T25', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.450262, 'y_coord': 51.540187, 'PZ': None, 'geometry': 'POINT (2.450262 51.540187)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T26', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.434159, 'y_coord': 51.52248, 'PZ': None, 'geometry': 'POINT (2.434159 51.52248)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T27', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.418068, 'y_coord': 51.504771, 'PZ': None, 'geometry': 'POINT (2.418068 51.504771)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T28', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.40199, 'y_coord': 51.48706, 'PZ': None, 'geometry': 'POINT (2.40199 51.48706)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T29', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.385924, 'y_coord': 51.469347, 'PZ': None, 'geometry': 'POINT (2.385924 51.469347)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T30', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.369871, 'y_coord': 51.451631, 'PZ': None, 'geometry': 'POINT (2.369871 51.451631)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T31', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.35383, 'y_coord': 51.433914, 'PZ': None, 'geometry': 'POINT (2.35383 51.433914)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T32', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.337801, 'y_coord': 51.416194, 'PZ': None, 'geometry': 'POINT (2.337801 51.416194)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T33', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.483316, 'y_coord': 51.563601, 'PZ': None, 'geometry': 'POINT (2.483316 51.563601)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T34', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.467192, 'y_coord': 51.545899, 'PZ': None, 'geometry': 'POINT (2.467192 51.545899)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T35', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.45108, 'y_coord': 51.528195, 'PZ': None, 'geometry': 'POINT (2.45108 51.528195)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T36', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.434981, 'y_coord': 51.510488, 'PZ': None, 'geometry': 'POINT (2.434981 51.510488)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T37', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.418894, 'y_coord': 51.492779, 'PZ': None, 'geometry': 'POINT (2.418894 51.492779)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T38', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.40282, 'y_coord': 51.475068, 'PZ': None, 'geometry': 'POINT (2.40282 51.475068)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T39', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.386757, 'y_coord': 51.457355, 'PZ': None, 'geometry': 'POINT (2.386757 51.457355)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T40', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.370708, 'y_coord': 51.43964, 'PZ': None, 'geometry': 'POINT (2.370708 51.43964)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T41', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.354671, 'y_coord': 51.421922, 'PZ': None, 'geometry': 'POINT (2.354671 51.421922)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T42', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.338646, 'y_coord': 51.404203, 'PZ': None, 'geometry': 'POINT (2.338646 51.404203)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T43', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.484126, 'y_coord': 51.551609, 'PZ': None, 'geometry': 'POINT (2.484126 51.551609)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T44', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.468006, 'y_coord': 51.533907, 'PZ': None, 'geometry': 'POINT (2.468006 51.533907)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T45', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.451898, 'y_coord': 51.516202, 'PZ': None, 'geometry': 'POINT (2.451898 51.516202)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T46', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.435802, 'y_coord': 51.498496, 'PZ': None, 'geometry': 'POINT (2.435802 51.498496)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T47', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.419719, 'y_coord': 51.480787, 'PZ': None, 'geometry': 'POINT (2.419719 51.480787)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T48', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.403649, 'y_coord': 51.463077, 'PZ': None, 'geometry': 'POINT (2.403649 51.463077)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T49', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.38759, 'y_coord': 51.445364, 'PZ': None, 'geometry': 'POINT (2.38759 51.445364)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T50', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.371544, 'y_coord': 51.427648, 'PZ': None, 'geometry': 'POINT (2.371544 51.427648)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T51', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.355511, 'y_coord': 51.409931, 'PZ': None, 'geometry': 'POINT (2.355511 51.409931)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T52', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.33949, 'y_coord': 51.392211, 'PZ': None, 'geometry': 'POINT (2.33949 51.392211)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T53', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.501064, 'y_coord': 51.557316, 'PZ': None, 'geometry': 'POINT (2.501064 51.557316)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T54', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.484935, 'y_coord': 51.539616, 'PZ': None, 'geometry': 'POINT (2.484935 51.539616)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T55', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.468819, 'y_coord': 51.521914, 'PZ': None, 'geometry': 'POINT (2.468819 51.521914)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T56', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.452715, 'y_coord': 51.50421, 'PZ': None, 'geometry': 'POINT (2.452715 51.50421)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T57', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.436623, 'y_coord': 51.486504, 'PZ': None, 'geometry': 'POINT (2.436623 51.486504)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T58', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.420544, 'y_coord': 51.468796, 'PZ': None, 'geometry': 'POINT (2.420544 51.468796)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T59', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.404477, 'y_coord': 51.451085, 'PZ': None, 'geometry': 'POINT (2.404477 51.451085)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T60', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.388423, 'y_coord': 51.433372, 'PZ': None, 'geometry': 'POINT (2.388423 51.433372)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T61', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.372381, 'y_coord': 51.415657, 'PZ': None, 'geometry': 'POINT (2.372381 51.415657)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T62', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.356351, 'y_coord': 51.397939, 'PZ': None, 'geometry': 'POINT (2.356351 51.397939)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T63', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.518007, 'y_coord': 51.563021, 'PZ': None, 'geometry': 'POINT (2.518007 51.563021)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_T64', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.501869, 'y_coord': 51.545324, 'PZ': None, 'geometry': 'POINT (2.501869 51.545324)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 66.0, 'Power_Gained': 0.0, 'Reactive_Gained': 0.0, 'Power_load': 0.0, 'Reactive_load': 0.0, 'Node_id': 'PE_III_OS5', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.49834, 'y_coord': 51.527015, 'PZ': None, 'geometry': 'POINT (2.49834 51.527015)'},
        {'type': 'PV', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 220, 'Power_Gained': 0, 'Reactive_Gained': 0, 'Power_load': 0, 'Reactive_load': 0, 'Node_id': 'PE_Island', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.500677, 'y_coord': 51.528584, 'PZ': None, 'geometry': 'POINT (2.500677 51.528584)'},
        {'type': 'Slack', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 220, 'Power_Gained': 0, 'Reactive_Gained': 0, 'Power_load': 0, 'Reactive_load': 0, 'Node_id': 'BE_ON', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.770443, 'y_coord': 51.125775, 'PZ': None, 'geometry': 'POINT (2.770443 51.125775)'},
        {'type': 'PQ', 'Voltage_0': 1.01, 'theta_0': 0.01, 'kV_base': 220, 'Power_Gained': 0, 'Reactive_Gained': 0, 'Power_load': 0, 'Reactive_load': 0, 'Node_id': 'PE_I_HV', 'Umin': 0.9, 'Umax': 1.1, 'Gs': 0.0, 'Bs': 0.0, 'x_coord': 2.588482, 'y_coord': 51.593387, 'PZ': None, 'geometry': 'POINT (2.588482 51.593387)'}
    ]
    nodes_AC = pd.DataFrame(nodes_AC_data)

    lines_AC_data = [
        {'fromNode': 'PE_I_T4', 'toNode': 'PE_I_T10', 'Resistance': 0.0013406795224977042, 'Reactance': 0.0036853853213599267, 'Conductance': 0.0, 'Susceptance': 0.005993932588378267, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC78', 'geometry': 'LINESTRING (2.574998 51.605424, 2.559267 51.613544)'},
        {'fromNode': 'PE_I_T10', 'toNode': 'PE_I_T20', 'Resistance': 0.004348943985307621, 'Reactance': 0.0047285440941221574, 'Conductance': 0.0, 'Susceptance': 0.0033013157479917193, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC79', 'geometry': 'LINESTRING (2.559267 51.613544, 2.54353 51.621662)'},
        {'fromNode': 'PE_I_T20', 'toNode': 'PE_I_T31', 'Resistance': 0.004378328741965106, 'Reactance': 0.00476049371637974, 'Conductance': 0.0, 'Susceptance': 0.00332362193547815, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC80', 'geometry': 'LINESTRING (2.54353 51.621662, 2.527788 51.629778)'},
        {'fromNode': 'PE_I_T4', 'toNode': 'PE_I_OS5', 'Resistance': 0.0013406795224977042, 'Reactance': 0.0036853853213599267, 'Conductance': 0.0, 'Susceptance': 0.005993932588378267, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC81', 'geometry': 'LINESTRING (2.574998 51.605424, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T25', 'toNode': 'PE_I_T30', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC82', 'geometry': 'LINESTRING (2.525882 51.618372, 2.508236 51.615078)'},
        {'fromNode': 'PE_I_T14', 'toNode': 'PE_I_T25', 'Resistance': 0.004378328741965106, 'Reactance': 0.00476049371637974, 'Conductance': 0.0, 'Susceptance': 0.00332362193547815, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC83', 'geometry': 'LINESTRING (2.525882 51.618372, 2.54162 51.610256)'},
        {'fromNode': 'PE_I_T6', 'toNode': 'PE_I_T14', 'Resistance': 0.0013590449954086318, 'Reactance': 0.003735870051789514, 'Conductance': 0.0, 'Susceptance': 0.006076041253972489, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC84', 'geometry': 'LINESTRING (2.54162 51.610256, 2.557353 51.602138)'},
        {'fromNode': 'PE_I_T6', 'toNode': 'PE_I_OS5', 'Resistance': 0.0020752984389348023, 'Reactance': 0.005704774538543448, 'Conductance': 0.0, 'Susceptance': 0.009278279212147179, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC85', 'geometry': 'LINESTRING (2.557353 51.602138, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T19', 'toNode': 'PE_I_T24', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC86', 'geometry': 'LINESTRING (2.523976 51.606965, 2.506335 51.603671)'},
        {'fromNode': 'PE_I_T13', 'toNode': 'PE_I_T19', 'Resistance': 0.003966942148760331, 'Reactance': 0.00431319900477359, 'Conductance': 0.0, 'Susceptance': 0.0030113353106681227, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC87', 'geometry': 'LINESTRING (2.523976 51.606965, 2.522072 51.595558)'},
        {'fromNode': 'PE_I_T9', 'toNode': 'PE_I_T13', 'Resistance': 0.0012396694214876034, 'Reactance': 0.0034077193039971925, 'Conductance': 0.0, 'Susceptance': 0.005542334927610041, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC88', 'geometry': 'LINESTRING (2.522072 51.595558, 2.539711 51.598849)'},
        {'fromNode': 'PE_I_T9', 'toNode': 'PE_I_OS5', 'Resistance': 0.0031037649219467396, 'Reactance': 0.008531919442600379, 'Conductance': 0.0, 'Susceptance': 0.013876364485423658, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC89', 'geometry': 'LINESTRING (2.539711 51.598849, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T18', 'toNode': 'PE_I_T29', 'Resistance': 0.005671258034894398, 'Reactance': 0.006166277095713353, 'Conductance': 0.0, 'Susceptance': 0.004305094184881094, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC90', 'geometry': 'LINESTRING (2.505122 51.592584, 2.478317 51.59053)'},
        {'fromNode': 'PE_I_T3', 'toNode': 'PE_I_T18', 'Resistance': 0.010402203856749311, 'Reactance': 0.01131016627918408, 'Conductance': 0.0, 'Susceptance': 0.00789639037019641, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC91', 'geometry': 'LINESTRING (2.505122 51.592584, 2.55544 51.590732)'},
        {'fromNode': 'PE_I_T1', 'toNode': 'PE_I_T3', 'Resistance': 0.0012121212121212121, 'Reactance': 0.003331992208352811, 'Conductance': 0.0, 'Susceptance': 0.005419171929218708, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC92', 'geometry': 'LINESTRING (2.55544 51.590732, 2.573081 51.594018)'},
        {'fromNode': 'PE_I_T1', 'toNode': 'PE_I_OS5', 'Resistance': 0.0009550045913682278, 'Reactance': 0.002625205982338578, 'Conductance': 0.0, 'Susceptance': 0.004269650610899588, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC93', 'geometry': 'LINESTRING (2.573081 51.594018, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T2', 'toNode': 'PE_I_T5', 'Resistance': 0.0012396694214876034, 'Reactance': 0.0034077193039971925, 'Conductance': 0.0, 'Susceptance': 0.005542334927610041, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC94', 'geometry': 'LINESTRING (2.592645 51.608707, 2.594568 51.620113)'},
        {'fromNode': 'PE_I_T5', 'toNode': 'PE_I_T8', 'Resistance': 0.003966942148760331, 'Reactance': 0.00431319900477359, 'Conductance': 0.0, 'Susceptance': 0.0030113353106681227, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC95', 'geometry': 'LINESTRING (2.594568 51.620113, 2.596491 51.631518)'},
        {'fromNode': 'PE_I_T8', 'toNode': 'PE_I_T12', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC96', 'geometry': 'LINESTRING (2.596491 51.631518, 2.598416 51.642924)'},
        {'fromNode': 'PE_I_T2', 'toNode': 'PE_I_OS5', 'Resistance': 0.00147842056932966, 'Reactance': 0.004064020799581837, 'Conductance': 0.0, 'Susceptance': 0.006609747580334938, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC97', 'geometry': 'LINESTRING (2.592645 51.608707, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T17', 'toNode': 'PE_I_T22', 'Resistance': 0.001221303948576676, 'Reactance': 0.0033572345735676046, 'Conductance': 0.0, 'Susceptance': 0.005460226262015819, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC98', 'geometry': 'LINESTRING (2.600342 51.654329, 2.582676 51.651047)'},
        {'fromNode': 'PE_I_T23', 'toNode': 'PE_I_T28', 'Resistance': 0.0038787878787878787, 'Reactance': 0.004217350138000843, 'Conductance': 0.0, 'Susceptance': 0.0029444167482088313, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC99', 'geometry': 'LINESTRING (2.584598 51.662453, 2.602268 51.665735)'},
        {'fromNode': 'PE_I_T22', 'toNode': 'PE_I_OS5', 'Resistance': 0.005766758494031222, 'Reactance': 0.015852205354890642, 'Conductance': 0.0, 'Susceptance': 0.02578212099658597, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC100', 'geometry': 'LINESTRING (2.582676 51.651047, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T11', 'toNode': 'PE_I_T16', 'Resistance': 0.003849403122130395, 'Reactance': 0.004185400515743261, 'Conductance': 0.0, 'Susceptance': 0.0029221105607224007, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC101', 'geometry': 'LINESTRING (2.580755 51.639641, 2.578835 51.628236)'},
        {'fromNode': 'PE_I_T7', 'toNode': 'PE_I_T11', 'Resistance': 0.0012121212121212121, 'Reactance': 0.003331992208352811, 'Conductance': 0.0, 'Susceptance': 0.005419171929218708, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC102', 'geometry': 'LINESTRING (2.578835 51.628236, 2.576916 51.61683)'},
        {'fromNode': 'PE_I_T16', 'toNode': 'PE_I_T27', 'Resistance': 0.004319559228650138, 'Reactance': 0.004696594471864575, 'Conductance': 0.0, 'Susceptance': 0.003279009560505289, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC103', 'geometry': 'LINESTRING (2.580755 51.639641, 2.565013 51.647762)'},
        {'fromNode': 'PE_I_T7', 'toNode': 'PE_I_OS5', 'Resistance': 0.0023507805325987145, 'Reactance': 0.006462045494987269, 'Conductance': 0.0, 'Susceptance': 0.010509909196060523, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC104', 'geometry': 'LINESTRING (2.576916 51.61683, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T21', 'toNode': 'PE_I_T26', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC105', 'geometry': 'LINESTRING (2.563097 51.636356, 2.545441 51.633069)'},
        {'fromNode': 'PE_I_T26', 'toNode': 'PE_I_T32', 'Resistance': 0.003966942148760331, 'Reactance': 0.00431319900477359, 'Conductance': 0.0, 'Susceptance': 0.0030113353106681227, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC106', 'geometry': 'LINESTRING (2.545441 51.633069, 2.547353 51.644475)'},
        {'fromNode': 'PE_I_T15', 'toNode': 'PE_I_T21', 'Resistance': 0.0012304866850321396, 'Reactance': 0.0033824769387823983, 'Conductance': 0.0, 'Susceptance': 0.00550128059481293, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC107', 'geometry': 'LINESTRING (2.563097 51.636356, 2.561181 51.62495)'},
        {'fromNode': 'PE_I_T15', 'toNode': 'PE_I_OS5', 'Resistance': 0.003516988062442608, 'Reactance': 0.009667825877266108, 'Conductance': 0.0, 'Susceptance': 0.015723809461293675, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC108', 'geometry': 'LINESTRING (2.561181 51.62495, 2.587194 51.595258)'},
        {'fromNode': 'PE_I_T17', 'toNode': 'PE_I_T23', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_I_AC109', 'geometry': 'LINESTRING (2.602268 51.665735, 2.600342 51.654329)'},
        {'fromNode': 'PE_II_T16', 'toNode': 'PE_II_T26', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC10', 'geometry': 'LINESTRING (2.426355 51.414543, 2.426079 51.403076)'},
        {'fromNode': 'PE_II_T15', 'toNode': 'PE_II_T16', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC11', 'geometry': 'LINESTRING (2.426079 51.403076, 2.40878 51.387356)'},
        {'fromNode': 'PE_II_T26', 'toNode': 'PE_II_T27', 'Resistance': 0.0020110192837465564, 'Reactance': 0.00552807798203989, 'Conductance': 0.0, 'Susceptance': 0.0089908988825674, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC12', 'geometry': 'LINESTRING (2.426355 51.414543, 2.44367 51.430261)'},
        {'fromNode': 'PE_II_T27', 'toNode': 'PE_II_OS1', 'Resistance': 0.01054178145087236, 'Reactance': 0.028978235266583535, 'Conductance': 0.0, 'Susceptance': 0.04713037405108391, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC13', 'geometry': 'LINESTRING (2.44367 51.430261, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T38', 'toNode': 'PE_II_T51', 'Resistance': 0.003039485766758494, 'Reactance': 0.00835522288609682, 'Conductance': 0.0, 'Susceptance': 0.01358898415584388, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC14', 'geometry': 'LINESTRING (2.461282 51.457443, 2.478915 51.484622)'},
        {'fromNode': 'PE_II_T17', 'toNode': 'PE_II_T38', 'Resistance': 0.013340679522497702, 'Reactance': 0.014505128504942292, 'Conductance': 0.0, 'Susceptance': 0.010127009118839464, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC15', 'geometry': 'LINESTRING (2.461282 51.457443, 2.44339 51.418793)'},
        {'fromNode': 'PE_II_T8', 'toNode': 'PE_II_T17', 'Resistance': 0.009755739210284664, 'Reactance': 0.010607274589517272, 'Conductance': 0.0, 'Susceptance': 0.007405654245494939, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC16', 'geometry': 'LINESTRING (2.44339 51.418793, 2.425803 51.391609)'},
        {'fromNode': 'PE_II_T51', 'toNode': 'PE_II_OS1', 'Resistance': 0.004545454545454545, 'Reactance': 0.01249497078132304, 'Conductance': 0.0, 'Susceptance': 0.02032189473457015, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC17', 'geometry': 'LINESTRING (2.478915 51.484622, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T18', 'toNode': 'PE_II_T28', 'Resistance': 0.0012304866850321396, 'Reactance': 0.0033824769387823983, 'Conductance': 0.0, 'Susceptance': 0.00550128059481293, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC18', 'geometry': 'LINESTRING (2.460997 51.445975, 2.460713 51.434508)'},
        {'fromNode': 'PE_II_T9', 'toNode': 'PE_II_T18', 'Resistance': 0.009755739210284664, 'Reactance': 0.010607274589517272, 'Conductance': 0.0, 'Susceptance': 0.007405654245494939, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC19', 'geometry': 'LINESTRING (2.460713 51.434508, 2.44311 51.407326)'},
        {'fromNode': 'PE_II_T1', 'toNode': 'PE_II_T9', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC20', 'geometry': 'LINESTRING (2.44311 51.407326, 2.44283 51.395859)'},
        {'fromNode': 'PE_II_T28', 'toNode': 'PE_II_OS1', 'Resistance': 0.008668503213957759, 'Reactance': 0.02382879276276555, 'Conductance': 0.0, 'Susceptance': 0.038755290160473174, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC21', 'geometry': 'LINESTRING (2.460997 51.445975, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T29', 'toNode': 'PE_II_T39', 'Resistance': 0.0012304866850321396, 'Reactance': 0.0033824769387823983, 'Conductance': 0.0, 'Susceptance': 0.00550128059481293, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC22', 'geometry': 'LINESTRING (2.478626 51.473155, 2.478337 51.461688)'},
        {'fromNode': 'PE_II_T10', 'toNode': 'PE_II_T29', 'Resistance': 0.013340679522497702, 'Reactance': 0.014505128504942292, 'Conductance': 0.0, 'Susceptance': 0.010127009118839464, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC23', 'geometry': 'LINESTRING (2.478337 51.461688, 2.460429 51.423041)'},
        {'fromNode': 'PE_II_T2', 'toNode': 'PE_II_T10', 'Resistance': 0.0038787878787878787, 'Reactance': 0.004217350138000843, 'Conductance': 0.0, 'Susceptance': 0.0029444167482088313, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC24', 'geometry': 'LINESTRING (2.460429 51.423041, 2.460144 51.411574)'},
        {'fromNode': 'PE_II_T39', 'toNode': 'PE_II_OS1', 'Resistance': 0.005684113865932048, 'Reactance': 0.0156250240679575, 'Conductance': 0.0, 'Susceptance': 0.025412632001411965, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC25', 'geometry': 'LINESTRING (2.478626 51.473155, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T11', 'toNode': 'PE_II_T19', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC26', 'geometry': 'LINESTRING (2.478048 51.45022, 2.477759 51.438753)'},
        {'fromNode': 'PE_II_T3', 'toNode': 'PE_II_T11', 'Resistance': 0.0038787878787878787, 'Reactance': 0.004217350138000843, 'Conductance': 0.0, 'Susceptance': 0.0029444167482088313, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC27', 'geometry': 'LINESTRING (2.477759 51.438753, 2.47747 51.427286)'},
        {'fromNode': 'PE_II_T19', 'toNode': 'PE_II_T52', 'Resistance': 0.005307621671258035, 'Reactance': 0.014590087094150942, 'Conductance': 0.0, 'Susceptance': 0.023729404356730398, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC28', 'geometry': 'LINESTRING (2.478048 51.45022, 2.496275 51.500331)'},
        {'fromNode': 'PE_II_T52', 'toNode': 'PE_II_OS1', 'Resistance': 0.002736455463728191, 'Reactance': 0.0075222248340086175, 'Conductance': 0.0, 'Susceptance': 0.012234191173539202, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC29', 'geometry': 'LINESTRING (2.496275 51.500331, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T30', 'toNode': 'PE_II_T40', 'Resistance': 0.0012396694214876034, 'Reactance': 0.0034077193039971925, 'Conductance': 0.0, 'Susceptance': 0.005542334927610041, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC30', 'geometry': 'LINESTRING (2.495981 51.488864, 2.495688 51.477397)'},
        {'fromNode': 'PE_II_T20', 'toNode': 'PE_II_T30', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC31', 'geometry': 'LINESTRING (2.495688 51.477397, 2.495394 51.46593)'},
        {'fromNode': 'PE_II_T12', 'toNode': 'PE_II_T20', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC32', 'geometry': 'LINESTRING (2.495394 51.46593, 2.495101 51.454463)'},
        {'fromNode': 'PE_II_T40', 'toNode': 'PE_II_OS1', 'Resistance': 0.003911845730027548, 'Reactance': 0.010753247581502251, 'Conductance': 0.0, 'Susceptance': 0.017489145771569462, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC33', 'geometry': 'LINESTRING (2.495981 51.488864, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T4', 'toNode': 'PE_II_T5', 'Resistance': 0.006347107438016529, 'Reactance': 0.006901118407637743, 'Conductance': 0.0, 'Susceptance': 0.004818136497068997, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC34', 'geometry': 'LINESTRING (2.494808 51.442996, 2.512158 51.458703)'},
        {'fromNode': 'PE_II_T5', 'toNode': 'PE_II_T13', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC35', 'geometry': 'LINESTRING (2.512158 51.458703, 2.512455 51.47017)'},
        {'fromNode': 'PE_II_T13', 'toNode': 'PE_II_T62', 'Resistance': 0.004563820018365473, 'Reactance': 0.012545455511752627, 'Conductance': 0.0, 'Susceptance': 0.020404003400164374, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC36', 'geometry': 'LINESTRING (2.512455 51.47017, 2.500696 51.513761)'},
        {'fromNode': 'PE_II_T62', 'toNode': 'PE_II_OS1', 'Resistance': 0.0013406795224977042, 'Reactance': 0.0036853853213599267, 'Conductance': 0.0, 'Susceptance': 0.005993932588378267, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC37', 'geometry': 'LINESTRING (2.500696 51.513761, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T14', 'toNode': 'PE_II_T21', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC38', 'geometry': 'LINESTRING (2.512753 51.481637, 2.529821 51.485875)'},
        {'fromNode': 'PE_II_T21', 'toNode': 'PE_II_T31', 'Resistance': 0.0012304866850321396, 'Reactance': 0.0033824769387823983, 'Conductance': 0.0, 'Susceptance': 0.00550128059481293, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC39', 'geometry': 'LINESTRING (2.512753 51.481637, 2.513051 51.493104)'},
        {'fromNode': 'PE_II_T6', 'toNode': 'PE_II_T14', 'Resistance': 0.0038787878787878787, 'Reactance': 0.004217350138000843, 'Conductance': 0.0, 'Susceptance': 0.0029444167482088313, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC40', 'geometry': 'LINESTRING (2.529821 51.485875, 2.529519 51.474408)'},
        {'fromNode': 'PE_II_T31', 'toNode': 'PE_II_OS1', 'Resistance': 0.003544536271808999, 'Reactance': 0.00974355297291049, 'Conductance': 0.0, 'Susceptance': 0.015846972459685006, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC41', 'geometry': 'LINESTRING (2.513051 51.493104, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T22', 'toNode': 'PE_II_T41', 'Resistance': 0.004378328741965106, 'Reactance': 0.00476049371637974, 'Conductance': 0.0, 'Susceptance': 0.00332362193547815, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC42', 'geometry': 'LINESTRING (2.518933 51.506535, 2.535222 51.498702)'},
        {'fromNode': 'PE_II_T7', 'toNode': 'PE_II_T22', 'Resistance': 0.003996326905417814, 'Reactance': 0.004345148627031172, 'Conductance': 0.0, 'Susceptance': 0.0030336414981545533, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC43', 'geometry': 'LINESTRING (2.535222 51.498702, 2.550535 51.491772)'},
        {'fromNode': 'PE_II_T41', 'toNode': 'PE_II_OS1', 'Resistance': 0.0023875114784205694, 'Reactance': 0.006563014955846445, 'Conductance': 0.0, 'Susceptance': 0.010674126527248968, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC44', 'geometry': 'LINESTRING (2.518933 51.506535, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T32', 'toNode': 'PE_II_T53', 'Resistance': 0.0045546372819100095, 'Reactance': 0.004952191449925232, 'Conductance': 0.0, 'Susceptance': 0.003457459060396733, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC45', 'geometry': 'LINESTRING (2.547812 51.52451, 2.527631 51.529176)'},
        {'fromNode': 'PE_II_T42', 'toNode': 'PE_II_T43', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC46', 'geometry': 'LINESTRING (2.548119 51.535977, 2.565523 51.551676)'},
        {'fromNode': 'PE_II_T53', 'toNode': 'PE_II_OS1', 'Resistance': 0.0017539026629935718, 'Reactance': 0.004821291756025657, 'Conductance': 0.0, 'Susceptance': 0.00784137756424828, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC47', 'geometry': 'LINESTRING (2.527631 51.529176, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T54', 'toNode': 'PE_II_T63', 'Resistance': 0.0038787878787878787, 'Reactance': 0.004217350138000843, 'Conductance': 0.0, 'Susceptance': 0.0029444167482088313, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC48', 'geometry': 'LINESTRING (2.548426 51.547444, 2.531333 51.543209)'},
        {'fromNode': 'PE_II_T54', 'toNode': 'PE_II_T64', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC49', 'geometry': 'LINESTRING (2.548426 51.547444, 2.548733 51.558911)'},
        {'fromNode': 'PE_II_T63', 'toNode': 'PE_II_OS1', 'Resistance': 0.0026078971533516986, 'Reactance': 0.007168831721001501, 'Conductance': 0.0, 'Susceptance': 0.011659430514379641, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC50', 'geometry': 'LINESTRING (2.531333 51.543209, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T56', 'toNode': 'PE_II_T57', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC51', 'geometry': 'LINESTRING (2.392561 51.417503, 2.409866 51.433225)'},
        {'fromNode': 'PE_II_T57', 'toNode': 'PE_II_T58', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC52', 'geometry': 'LINESTRING (2.409866 51.433225, 2.427182 51.448945)'},
        {'fromNode': 'PE_II_T58', 'toNode': 'PE_II_T61', 'Resistance': 0.00598714416896235, 'Reactance': 0.0164580221200457, 'Conductance': 0.0, 'Susceptance': 0.02676742498371664, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC53', 'geometry': 'LINESTRING (2.427182 51.448945, 2.474591 51.498959)'},
        {'fromNode': 'PE_II_T61', 'toNode': 'PE_II_OS1', 'Resistance': 0.0033241505968778697, 'Reactance': 0.009137736207755435, 'Conductance': 0.0, 'Susceptance': 0.014861668472554334, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC54', 'geometry': 'LINESTRING (2.474591 51.498959, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T44', 'toNode': 'PE_II_T45', 'Resistance': 0.006376492194674012, 'Reactance': 0.006933068029895325, 'Conductance': 0.0, 'Susceptance': 0.004840442684555427, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC55', 'geometry': 'LINESTRING (2.357728 51.374583, 2.375005 51.390311)'},
        {'fromNode': 'PE_II_T45', 'toNode': 'PE_II_T46', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC56', 'geometry': 'LINESTRING (2.375005 51.390311, 2.392293 51.406036)'},
        {'fromNode': 'PE_II_T46', 'toNode': 'PE_II_T59', 'Resistance': 0.006905417814508723, 'Reactance': 0.0189822586415251, 'Conductance': 0.0, 'Susceptance': 0.03087285826342778, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC57', 'geometry': 'LINESTRING (2.392293 51.406036, 2.444511 51.464662)'},
        {'fromNode': 'PE_II_T59', 'toNode': 'PE_II_OS1', 'Resistance': 0.0073186409550045906, 'Reactance': 0.020118165076190832, 'Conductance': 0.0, 'Susceptance': 0.032720303239297796, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC58', 'geometry': 'LINESTRING (2.444511 51.464662, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T47', 'toNode': 'PE_II_T48', 'Resistance': 0.006376492194674012, 'Reactance': 0.006933068029895325, 'Conductance': 0.0, 'Susceptance': 0.004840442684555427, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC59', 'geometry': 'LINESTRING (2.409594 51.421758, 2.426906 51.437478)'},
        {'fromNode': 'PE_II_T48', 'toNode': 'PE_II_T60', 'Resistance': 0.004967860422405877, 'Reactance': 0.013656119581203564, 'Conductance': 0.0, 'Susceptance': 0.02221039404323728, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC60', 'geometry': 'LINESTRING (2.426906 51.437478, 2.461852 51.480377)'},
        {'fromNode': 'PE_II_T33', 'toNode': 'PE_II_T47', 'Resistance': 0.015897153351698806, 'Reactance': 0.01728474564135194, 'Conductance': 0.0, 'Susceptance': 0.01206764743015892, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC61', 'geometry': 'LINESTRING (2.409594 51.421758, 2.374742 51.378843)'},
        {'fromNode': 'PE_II_T60', 'toNode': 'PE_II_OS1', 'Resistance': 0.00537190082644628, 'Reactance': 0.0147667836506545, 'Conductance': 0.0, 'Susceptance': 0.024016784686310175, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC62', 'geometry': 'LINESTRING (2.461852 51.480377, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T24', 'toNode': 'PE_II_T34', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC63', 'geometry': 'LINESTRING (2.392026 51.394568, 2.391759 51.383101)'},
        {'fromNode': 'PE_II_T34', 'toNode': 'PE_II_T35', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC64', 'geometry': 'LINESTRING (2.392026 51.394568, 2.409322 51.410291)'},
        {'fromNode': 'PE_II_T35', 'toNode': 'PE_II_T49', 'Resistance': 0.004967860422405877, 'Reactance': 0.013656119581203564, 'Conductance': 0.0, 'Susceptance': 0.02221039404323728, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC65', 'geometry': 'LINESTRING (2.409322 51.410291, 2.444231 51.453195)'},
        {'fromNode': 'PE_II_T49', 'toNode': 'PE_II_OS1', 'Resistance': 0.008356290174471991, 'Reactance': 0.022970552345462556, 'Conductance': 0.0, 'Susceptance': 0.03735944284537139, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC66', 'geometry': 'LINESTRING (2.444231 51.453195, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T36', 'toNode': 'PE_II_T37', 'Resistance': 0.006405876951331497, 'Reactance': 0.0069650176521529085, 'Conductance': 0.0, 'Susceptance': 0.004862748872041857, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC67', 'geometry': 'LINESTRING (2.42663 51.426011, 2.44395 51.441728)'},
        {'fromNode': 'PE_II_T37', 'toNode': 'PE_II_T50', 'Resistance': 0.003039485766758494, 'Reactance': 0.00835522288609682, 'Conductance': 0.0, 'Susceptance': 0.01358898415584388, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC68', 'geometry': 'LINESTRING (2.44395 51.441728, 2.461567 51.46891)'},
        {'fromNode': 'PE_II_T25', 'toNode': 'PE_II_T36', 'Resistance': 0.009755739210284664, 'Reactance': 0.010607274589517272, 'Conductance': 0.0, 'Susceptance': 0.007405654245494939, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC69', 'geometry': 'LINESTRING (2.42663 51.426011, 2.409051 51.398823)'},
        {'fromNode': 'PE_II_T50', 'toNode': 'PE_II_OS1', 'Resistance': 0.006437098255280073, 'Reactance': 0.017694898015570604, 'Conductance': 0.0, 'Susceptance': 0.028779087290775104, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC70', 'geometry': 'LINESTRING (2.461567 51.46891, 2.501002 51.526531)'},
        {'fromNode': 'PE_II_T42', 'toNode': 'PE_II_OS1', 'Resistance': 0.003195592286501377, 'Reactance': 0.008784343094748319, 'Conductance': 0.0, 'Susceptance': 0.014286907813394771, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC71', 'geometry': 'LINESTRING (2.501002 51.526531, 2.548119 51.535977)'},
        {'fromNode': 'PE_II_T23', 'toNode': 'PE_II_T32', 'Resistance': 0.003937557392102846, 'Reactance': 0.004281249382516008, 'Conductance': 0.0, 'Susceptance': 0.0029890291231816917, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC72', 'geometry': 'LINESTRING (2.565523 51.551676, 2.565834 51.563143)'},
        {'fromNode': 'PE_II_T43', 'toNode': 'PE_II_T55', 'Resistance': 0.003908172635445363, 'Reactance': 0.0042492997602584254, 'Conductance': 0.0, 'Susceptance': 0.0029667229356952615, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_II_AC73', 'geometry': 'LINESTRING (2.547812 51.52451, 2.547506 51.513044)'},
        {'fromNode': 'PE_III_T25', 'toNode': 'PE_III_T34', 'Resistance': 0.0012855831037649216, 'Reactance': 0.0035339311300711623, 'Conductance': 0.0, 'Susceptance': 0.005747606591595599, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC14', 'geometry': 'LINESTRING (2.467192 51.545899, 2.450262 51.540187)'},
        {'fromNode': 'PE_III_T16', 'toNode': 'PE_III_T25', 'Resistance': 0.004143250688705234, 'Reactance': 0.004504896738319082, 'Conductance': 0.0, 'Susceptance': 0.0031451724355867055, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC15', 'geometry': 'LINESTRING (2.450262 51.540187, 2.449444 51.552178)'},
        {'fromNode': 'PE_III_T8', 'toNode': 'PE_III_T16', 'Resistance': 0.00411386593204775, 'Reactance': 0.0044729471160615, 'Conductance': 0.0, 'Susceptance': 0.003122866248100275, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC16', 'geometry': 'LINESTRING (2.449444 51.552178, 2.432514 51.546464)'},
        {'fromNode': 'PE_III_T34', 'toNode': 'PE_III_OS5', 'Resistance': 0.002809917355371901, 'Reactance': 0.00772416375572697, 'Conductance': 0.0, 'Susceptance': 0.012562625835916092, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC17', 'geometry': 'LINESTRING (2.467192 51.545899, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T35', 'toNode': 'PE_III_T44', 'Resistance': 0.0012947658402203855, 'Reactance': 0.003559173495285956, 'Conductance': 0.0, 'Susceptance': 0.005788660924392709, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC18', 'geometry': 'LINESTRING (2.468006 51.533907, 2.45108 51.528195)'},
        {'fromNode': 'PE_III_T17', 'toNode': 'PE_III_T35', 'Resistance': 0.004378328741965106, 'Reactance': 0.00476049371637974, 'Conductance': 0.0, 'Susceptance': 0.00332362193547815, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC19', 'geometry': 'LINESTRING (2.45108 51.528195, 2.433337 51.534472)'},
        {'fromNode': 'PE_III_T9', 'toNode': 'PE_III_T17', 'Resistance': 0.00411386593204775, 'Reactance': 0.0044729471160615, 'Conductance': 0.0, 'Susceptance': 0.003122866248100275, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC20', 'geometry': 'LINESTRING (2.433337 51.534472, 2.416416 51.528755)'},
        {'fromNode': 'PE_III_T44', 'toNode': 'PE_III_OS5', 'Resistance': 0.0021028466483011938, 'Reactance': 0.005780501634187829, 'Conductance': 0.0, 'Susceptance': 0.009401442210538513, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC21', 'geometry': 'LINESTRING (2.468006 51.533907, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T1', 'toNode': 'PE_III_T10', 'Resistance': 0.00411386593204775, 'Reactance': 0.0044729471160615, 'Conductance': 0.0, 'Susceptance': 0.003122866248100275, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC22', 'geometry': 'LINESTRING (2.399499 51.523035, 2.40033 51.511044)'},
        {'fromNode': 'PE_III_T10', 'toNode': 'PE_III_T18', 'Resistance': 0.004143250688705234, 'Reactance': 0.004504896738319082, 'Conductance': 0.0, 'Susceptance': 0.0031451724355867055, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC23', 'geometry': 'LINESTRING (2.40033 51.511044, 2.417242 51.516763)'},
        {'fromNode': 'PE_III_T18', 'toNode': 'PE_III_T26', 'Resistance': 0.0012947658402203855, 'Reactance': 0.003559173495285956, 'Conductance': 0.0, 'Susceptance': 0.005788660924392709, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC24', 'geometry': 'LINESTRING (2.417242 51.516763, 2.434159 51.52248)'},
        {'fromNode': 'PE_III_T26', 'toNode': 'PE_III_OS5', 'Resistance': 0.004159779614325069, 'Reactance': 0.011434791442301692, 'Conductance': 0.0, 'Susceptance': 0.018597612757091472, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC25', 'geometry': 'LINESTRING (2.434159 51.52248, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T45', 'toNode': 'PE_III_T55', 'Resistance': 0.001276400367309458, 'Reactance': 0.0035086887648563686, 'Conductance': 0.0, 'Susceptance': 0.005706552258798486, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC26', 'geometry': 'LINESTRING (2.468819 51.521914, 2.451898 51.516202)'},
        {'fromNode': 'PE_III_T36', 'toNode': 'PE_III_T45', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC27', 'geometry': 'LINESTRING (2.451898 51.516202, 2.434981 51.510488)'},
        {'fromNode': 'PE_III_T2', 'toNode': 'PE_III_T36', 'Resistance': 0.010813590449954086, 'Reactance': 0.01175746099079023, 'Conductance': 0.0, 'Susceptance': 0.008208676995006438, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC28', 'geometry': 'LINESTRING (2.434981 51.510488, 2.383422 51.505322)'},
        {'fromNode': 'PE_III_T55', 'toNode': 'PE_III_OS5', 'Resistance': 0.0019834710743801653, 'Reactance': 0.005452350886395508, 'Conductance': 0.0, 'Susceptance': 0.008867735884176066, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC29', 'geometry': 'LINESTRING (2.468819 51.521914, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T19', 'toNode': 'PE_III_T27', 'Resistance': 0.0012947658402203855, 'Reactance': 0.003559173495285956, 'Conductance': 0.0, 'Susceptance': 0.005788660924392709, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC30', 'geometry': 'LINESTRING (2.418068 51.504771, 2.40116 51.499052)'},
        {'fromNode': 'PE_III_T11', 'toNode': 'PE_III_T19', 'Resistance': 0.00411386593204775, 'Reactance': 0.0044729471160615, 'Conductance': 0.0, 'Susceptance': 0.003122866248100275, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC31', 'geometry': 'LINESTRING (2.40116 51.499052, 2.384256 51.49333)'},
        {'fromNode': 'PE_III_T3', 'toNode': 'PE_III_T11', 'Resistance': 0.00411386593204775, 'Reactance': 0.0044729471160615, 'Conductance': 0.0, 'Susceptance': 0.003122866248100275, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC32', 'geometry': 'LINESTRING (2.384256 51.49333, 2.367357 51.487606)'},
        {'fromNode': 'PE_III_T27', 'toNode': 'PE_III_OS5', 'Resistance': 0.005638200183654728, 'Reactance': 0.015498812241883526, 'Conductance': 0.0, 'Susceptance': 0.025207360337426408, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC33', 'geometry': 'LINESTRING (2.418068 51.504771, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T4', 'toNode': 'PE_III_T12', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC34', 'geometry': 'LINESTRING (2.351304 51.469888, 2.368195 51.475615)'},
        {'fromNode': 'PE_III_T12', 'toNode': 'PE_III_T20', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC35', 'geometry': 'LINESTRING (2.368195 51.475615, 2.38509 51.481339)'},
        {'fromNode': 'PE_III_T20', 'toNode': 'PE_III_T28', 'Resistance': 0.001276400367309458, 'Reactance': 0.0035086887648563686, 'Conductance': 0.0, 'Susceptance': 0.005706552258798486, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC36', 'geometry': 'LINESTRING (2.38509 51.481339, 2.40199 51.48706)'},
        {'fromNode': 'PE_III_T28', 'toNode': 'PE_III_OS5', 'Resistance': 0.0074012855831037646, 'Reactance': 0.02034534636312398, 'Conductance': 0.0, 'Susceptance': 0.0330897922344718, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC37', 'geometry': 'LINESTRING (2.40199 51.48706, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T37', 'toNode': 'PE_III_T46', 'Resistance': 0.0012672176308539944, 'Reactance': 0.003483446399641574, 'Conductance': 0.0, 'Susceptance': 0.005665497926001375, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC38', 'geometry': 'LINESTRING (2.418894 51.492779, 2.435802 51.498496)'},
        {'fromNode': 'PE_III_T5', 'toNode': 'PE_III_T37', 'Resistance': 0.02174471992653811, 'Reactance': 0.023642720470610785, 'Conductance': 0.0, 'Susceptance': 0.0165065787399586, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC39', 'geometry': 'LINESTRING (2.418894 51.492779, 2.335264 51.452168)'},
        {'fromNode': 'PE_III_T5', 'toNode': 'PE_III_T6', 'Resistance': 0.007258034894398532, 'Reactance': 0.00789155669762279, 'Conductance': 0.0, 'Susceptance': 0.005509628309148343, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC40', 'geometry': 'LINESTRING (2.335264 51.452168, 2.30831 51.438228)'},
        {'fromNode': 'PE_III_T46', 'toNode': 'PE_III_OS5', 'Resistance': 0.004967860422405877, 'Reactance': 0.013656119581203564, 'Conductance': 0.0, 'Susceptance': 0.02221039404323728, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC41', 'geometry': 'LINESTRING (2.435802 51.498496, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T13', 'toNode': 'PE_III_T21', 'Resistance': 0.004055096418732782, 'Reactance': 0.004409047871546336, 'Conductance': 0.0, 'Susceptance': 0.003078253873127414, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC42', 'geometry': 'LINESTRING (2.352146 51.457897, 2.369033 51.463623)'},
        {'fromNode': 'PE_III_T21', 'toNode': 'PE_III_T29', 'Resistance': 0.004055096418732782, 'Reactance': 0.004409047871546336, 'Conductance': 0.0, 'Susceptance': 0.003078253873127414, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC43', 'geometry': 'LINESTRING (2.369033 51.463623, 2.385924 51.469347)'},
        {'fromNode': 'PE_III_T29', 'toNode': 'PE_III_T56', 'Resistance': 0.00559228650137741, 'Reactance': 0.015372600415809555, 'Conductance': 0.0, 'Susceptance': 0.025002088673440854, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC44', 'geometry': 'LINESTRING (2.385924 51.469347, 2.452715 51.50421)'},
        {'fromNode': 'PE_III_T56', 'toNode': 'PE_III_OS5', 'Resistance': 0.0037649219467401278, 'Reactance': 0.010349369738065547, 'Conductance': 0.0, 'Susceptance': 0.01683227644681568, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC45', 'geometry': 'LINESTRING (2.452715 51.50421, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T14', 'toNode': 'PE_III_T22', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC46', 'geometry': 'LINESTRING (2.33611 51.440177, 2.352988 51.445905)'},
        {'fromNode': 'PE_III_T14', 'toNode': 'PE_III_T15', 'Resistance': 0.006817263544536272, 'Reactance': 0.0074123123637590575, 'Conductance': 0.0, 'Susceptance': 0.005175035496851884, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC47', 'geometry': 'LINESTRING (2.33611 51.440177, 2.320086 51.422454)'},
        {'fromNode': 'PE_III_T22', 'toNode': 'PE_III_T38', 'Resistance': 0.004398530762167126, 'Reactance': 0.012091092937886334, 'Conductance': 0.0, 'Susceptance': 0.019665025409816368, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC48', 'geometry': 'LINESTRING (2.352988 51.445905, 2.40282 51.475068)'},
        {'fromNode': 'PE_III_T38', 'toNode': 'PE_III_OS5', 'Resistance': 0.008099173553719008, 'Reactance': 0.022263766119448324, 'Conductance': 0.0, 'Susceptance': 0.03620992152705227, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC49', 'geometry': 'LINESTRING (2.40282 51.475068, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T30', 'toNode': 'PE_III_T39', 'Resistance': 0.004055096418732782, 'Reactance': 0.004409047871546336, 'Conductance': 0.0, 'Susceptance': 0.003078253873127414, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC50', 'geometry': 'LINESTRING (2.369871 51.451631, 2.386757 51.457355)'},
        {'fromNode': 'PE_III_T23', 'toNode': 'PE_III_T30', 'Resistance': 0.010372819100091826, 'Reactance': 0.011278216656926496, 'Conductance': 0.0, 'Susceptance': 0.007874084182709979, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC51', 'geometry': 'LINESTRING (2.369871 51.451631, 2.336956 51.428185)'},
        {'fromNode': 'PE_III_T39', 'toNode': 'PE_III_T47', 'Resistance': 0.0032323232323232323, 'Reactance': 0.008885312555607495, 'Conductance': 0.0, 'Susceptance': 0.014451125144583219, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC52', 'geometry': 'LINESTRING (2.386757 51.457355, 2.419719 51.480787)'},
        {'fromNode': 'PE_III_T47', 'toNode': 'PE_III_OS5', 'Resistance': 0.006923783287419652, 'Reactance': 0.01903274337195469, 'Conductance': 0.0, 'Susceptance': 0.03095496692902201, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC53', 'geometry': 'LINESTRING (2.419719 51.480787, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T31', 'toNode': 'PE_III_T40', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC54', 'geometry': 'LINESTRING (2.35383 51.433914, 2.370708 51.43964)'},
        {'fromNode': 'PE_III_T40', 'toNode': 'PE_III_T48', 'Resistance': 0.010314049586776858, 'Reactance': 0.011214317412411332, 'Conductance': 0.0, 'Susceptance': 0.007829471807737118, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC55', 'geometry': 'LINESTRING (2.370708 51.43964, 2.403649 51.463077)'},
        {'fromNode': 'PE_III_T48', 'toNode': 'PE_III_T57', 'Resistance': 0.0032323232323232323, 'Reactance': 0.008885312555607495, 'Conductance': 0.0, 'Susceptance': 0.014451125144583219, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC56', 'geometry': 'LINESTRING (2.403649 51.463077, 2.436623 51.486504)'},
        {'fromNode': 'PE_III_T57', 'toNode': 'PE_III_OS5', 'Resistance': 0.005748393021120294, 'Reactance': 0.015801720624461054, 'Conductance': 0.0, 'Susceptance': 0.025700012330991746, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC57', 'geometry': 'LINESTRING (2.436623 51.486504, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T32', 'toNode': 'PE_III_T41', 'Resistance': 0.003996326905417814, 'Reactance': 0.004345148627031172, 'Conductance': 0.0, 'Susceptance': 0.0030336414981545533, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC58', 'geometry': 'LINESTRING (2.337801 51.416194, 2.354671 51.421922)'},
        {'fromNode': 'PE_III_T41', 'toNode': 'PE_III_T49', 'Resistance': 0.010314049586776858, 'Reactance': 0.011214317412411332, 'Conductance': 0.0, 'Susceptance': 0.007829471807737118, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC59', 'geometry': 'LINESTRING (2.354671 51.421922, 2.38759 51.445364)'},
        {'fromNode': 'PE_III_T49', 'toNode': 'PE_III_T58', 'Resistance': 0.0032415059687786957, 'Reactance': 0.008910554920822288, 'Conductance': 0.0, 'Susceptance': 0.014492179477380329, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC60', 'geometry': 'LINESTRING (2.38759 51.445364, 2.420544 51.468796)'},
        {'fromNode': 'PE_III_T58', 'toNode': 'PE_III_OS5', 'Resistance': 0.007786960514233241, 'Reactance': 0.02140552570214533, 'Conductance': 0.0, 'Susceptance': 0.034814074211950485, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC61', 'geometry': 'LINESTRING (2.420544 51.468796, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T42', 'toNode': 'PE_III_T51', 'Resistance': 0.004055096418732782, 'Reactance': 0.004409047871546336, 'Conductance': 0.0, 'Susceptance': 0.003078253873127414, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC62', 'geometry': 'LINESTRING (2.338646 51.404203, 2.355511 51.409931)'},
        {'fromNode': 'PE_III_T50', 'toNode': 'PE_III_T51', 'Resistance': 0.006817263544536272, 'Reactance': 0.0074123123637590575, 'Conductance': 0.0, 'Susceptance': 0.005175035496851884, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC63', 'geometry': 'LINESTRING (2.355511 51.409931, 2.371544 51.427648)'},
        {'fromNode': 'PE_III_T50', 'toNode': 'PE_III_T59', 'Resistance': 0.0032415059687786957, 'Reactance': 0.008910554920822288, 'Conductance': 0.0, 'Susceptance': 0.014492179477380329, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC64', 'geometry': 'LINESTRING (2.371544 51.427648, 2.404477 51.451085)'},
        {'fromNode': 'PE_III_T59', 'toNode': 'PE_III_OS5', 'Resistance': 0.009834710743801654, 'Reactance': 0.027034573145044392, 'Conductance': 0.0, 'Susceptance': 0.04396919042570633, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC65', 'geometry': 'LINESTRING (2.404477 51.451085, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T52', 'toNode': 'PE_III_T62', 'Resistance': 0.004084481175390266, 'Reactance': 0.004440997493803917, 'Conductance': 0.0, 'Susceptance': 0.0031005600606138443, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC66', 'geometry': 'LINESTRING (2.33949 51.392211, 2.356351 51.397939)'},
        {'fromNode': 'PE_III_T61', 'toNode': 'PE_III_T62', 'Resistance': 0.006846648301193755, 'Reactance': 0.00744426198601664, 'Conductance': 0.0, 'Susceptance': 0.0051973416843383155, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC67', 'geometry': 'LINESTRING (2.356351 51.397939, 2.372381 51.415657)'},
        {'fromNode': 'PE_III_T60', 'toNode': 'PE_III_T61', 'Resistance': 0.0021395775941230486, 'Reactance': 0.005881471095047007, 'Conductance': 0.0, 'Susceptance': 0.009565659541726959, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC68', 'geometry': 'LINESTRING (2.372381 51.415657, 2.388423 51.433372)'},
        {'fromNode': 'PE_III_T60', 'toNode': 'PE_III_OS5', 'Resistance': 0.011900826446280993, 'Reactance': 0.03271410531837305, 'Conductance': 0.0, 'Susceptance': 0.0532064153050564, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC69', 'geometry': 'LINESTRING (2.388423 51.433372, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T53', 'toNode': 'PE_III_T63', 'Resistance': 0.004143250688705234, 'Reactance': 0.004504896738319082, 'Conductance': 0.0, 'Susceptance': 0.0031451724355867055, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC70', 'geometry': 'LINESTRING (2.518007 51.563021, 2.501064 51.557316)'},
        {'fromNode': 'PE_III_T53', 'toNode': 'PE_III_T64', 'Resistance': 0.0012855831037649216, 'Reactance': 0.0035339311300711623, 'Conductance': 0.0, 'Susceptance': 0.005747606591595599, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC71', 'geometry': 'LINESTRING (2.501064 51.557316, 2.501869 51.545324)'},
        {'fromNode': 'PE_III_T64', 'toNode': 'PE_III_OS5', 'Resistance': 0.001919191919191919, 'Reactance': 0.005275654329891949, 'Conductance': 0.0, 'Susceptance': 0.008580355554596285, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC72', 'geometry': 'LINESTRING (2.501869 51.545324, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T43', 'toNode': 'PE_III_T54', 'Resistance': 0.0012947658402203855, 'Reactance': 0.003559173495285956, 'Conductance': 0.0, 'Susceptance': 0.005788660924392709, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC73', 'geometry': 'LINESTRING (2.484126 51.551609, 2.484935 51.539616)'},
        {'fromNode': 'PE_III_T24', 'toNode': 'PE_III_T43', 'Resistance': 0.004348943985307621, 'Reactance': 0.0047285440941221574, 'Conductance': 0.0, 'Susceptance': 0.0033013157479917193, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC74', 'geometry': 'LINESTRING (2.484126 51.551609, 2.466378 51.557891)'},
        {'fromNode': 'PE_III_T7', 'toNode': 'PE_III_T24', 'Resistance': 0.004348943985307621, 'Reactance': 0.0047285440941221574, 'Conductance': 0.0, 'Susceptance': 0.0033013157479917193, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC75', 'geometry': 'LINESTRING (2.466378 51.557891, 2.448625 51.56417)'},
        {'fromNode': 'PE_III_T54', 'toNode': 'PE_III_OS5', 'Resistance': 0.001588613406795225, 'Reactance': 0.004366929182159365, 'Conductance': 0.0, 'Susceptance': 0.007102399573900275, 'MVA_rating': 88.59439880714807, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC76', 'geometry': 'LINESTRING (2.484935 51.539616, 2.49834 51.527015)'},
        {'fromNode': 'PE_III_T33', 'toNode': 'PE_III_T63', 'Resistance': 0.007258034894398532, 'Reactance': 0.00789155669762279, 'Conductance': 0.0, 'Susceptance': 0.005509628309148343, 'MVA_rating': 50.870332218297925, 'kV_base': 66.0, 'm': 1, 'shift': 0, 'Line_id': 'PE_III_AC77', 'geometry': 'LINESTRING (2.483316 51.563601, 2.518007 51.563021)'},
        {'fromNode': 'PE_Island', 'toNode': 'BE_ON', 'Resistance': 0.0021251475796930344, 'Reactance': 0.0015856326557374693, 'Conductance': 0.0, 'Susceptance': 9.100377103359696, 'MVA_rating': 2200.5705510162584, 'kV_base': 220, 'm': 1, 'shift': 0, 'Line_id': '160', 'geometry': 'LINESTRING (2.500677 51.528584, 2.703323 51.419336, 2.704697 51.233709, 2.770443 51.125775)'},
        {'fromNode': 'PE_Island', 'toNode': 'PE_I_HV', 'Resistance': 0.0015702479338842975, 'Reactance': 0.0011716063511837968, 'Conductance': 0.0, 'Susceptance': 0.548911634805823, 'MVA_rating': 628.7344431475024, 'kV_base': 220, 'm': 1, 'shift': 0, 'Line_id': '161', 'geometry': 'LINESTRING (2.500677 51.528584, 2.500935 51.5308, 2.53664 51.562025, 2.588482 51.593387)'},
        {'fromNode': 'PE_I_OS5', 'toNode': 'PE_I_HV', 'Resistance': 1e-05, 'Reactance': 1e-05, 'Conductance': 0, 'Susceptance': 0, 'MVA_rating': 750, 'kV_base': 220, 'm': 1, 'shift': 0, 'Line_id': '162', 'geometry': 'LINESTRING (2.587194 51.595258, 2.588482 51.593387)'},
        {'fromNode': 'PE_II_OS1', 'toNode': 'PE_Island', 'Resistance': 1e-05, 'Reactance': 1e-05, 'Conductance': 0, 'Susceptance': 0, 'MVA_rating': 1500, 'kV_base': 220, 'm': 1, 'shift': 0, 'Line_id': '163', 'geometry': 'LINESTRING (2.501002 51.526531, 2.500677 51.528584)'},
        {'fromNode': 'PE_III_OS5', 'toNode': 'PE_Island', 'Resistance': 1e-05, 'Reactance': 1e-05, 'Conductance': 0, 'Susceptance': 0, 'MVA_rating': 1500, 'kV_base': 220, 'm': 1, 'shift': 0, 'Line_id': '164', 'geometry': 'LINESTRING (2.49834 51.527015, 2.500677 51.528584)'}
    ]
    lines_AC = pd.DataFrame(lines_AC_data)

    nodes_DC_data = [
        {'type': 'P', 'Voltage_0': 1.01, 'Power_Gained': 0, 'Power_load': 0, 'kV_base': 525, 'Node_id': 'PEI_DC', 'Umin': 0.95, 'Umax': 1.05, 'x_coord': 2.502952, 'y_coord': 51.528717, 'PZ': None, 'geometry': 'POINT (2.502952 51.528717)'},
        {'type': 'Slack', 'Voltage_0': 1.01, 'Power_Gained': 0, 'Power_load': 0, 'kV_base': 525, 'Node_id': 'ON_DC', 'Umin': 0.95, 'Umax': 1.05, 'x_coord': 2.771301, 'y_coord': 51.126938, 'PZ': None, 'geometry': 'POINT (2.771301 51.126938)'}
    ]
    nodes_DC = pd.DataFrame(nodes_DC_data)

    lines_DC_data = [
        {'fromNode': 'PEI_DC', 'toNode': 'ON_DC', 'Resistance': 0.001, 'MW_rating': 1400, 'kV_base': 525, 'Length_km': 1, 'Mono_Bi_polar': 'm', 'Line_id': '0', 'geometry': 'LINESTRING (2.502952 51.528717, 2.572517 51.496147, 2.709503 51.421573, 2.706757 51.233698, 2.771301 51.126938)'}
    ]
    lines_DC = pd.DataFrame(lines_DC_data)

    Converters_ACDC_data = [
        {'AC_type': 'PV', 'DC_type': 'P', 'AC_node': 'PE_Island', 'DC_node': 'PEI_DC', 'P_AC': -15.23256842600699, 'Q_AC': -30.50016621804582, 'P_DC': 14.0, 'T_R': 0.0, 'T_X': 0.0, 'PR_R': 0.0, 'PR_X': 0.0, 'Filter': 0.0, 'Droop': 0, 'AC_kV_base': 220, 'MVA_rating': 10000.0, 'Nconverter': 1, 'pol': 2, 'Conv_id': '0', 'lossa': 1.103, 'lossb': 0.887, 'losscrect': 2.885, 'losscinv': 4.371, 'Ucmin': 0.85, 'Ucmax': 1.2, 'geometry': 'LINESTRING (2.500677 51.528584, 2.502952 51.528717)'},
        {'AC_type': 'PV', 'DC_type': 'Slack', 'AC_node': 'BE_ON', 'DC_node': 'ON_DC', 'P_AC': 12.834001291959405, 'Q_AC': 21.10058400394354, 'P_DC': -13.812961565331412, 'T_R': 0.0, 'T_X': 0.0, 'PR_R': 0.0, 'PR_X': 0.0, 'Filter': 0.0, 'Droop': 0, 'AC_kV_base': 220, 'MVA_rating': 10000.0, 'Nconverter': 1, 'pol': 2, 'Conv_id': '1', 'lossa': 1.103, 'lossb': 0.887, 'losscrect': 2.885, 'losscinv': 4.371, 'Ucmin': 0.85, 'Ucmax': 1.2, 'geometry': 'LINESTRING (2.770443 51.125775, 2.771301 51.126938)'}
    ]
    Converters_ACDC = pd.DataFrame(Converters_ACDC_data)

    
    # Create the grid
    [grid, res] = pyf.Create_grid_from_data(S_base, nodes_AC, lines_AC, nodes_DC, lines_DC, Converters_ACDC, data_in='pu')
    
    # Assign Price Zones to Nodes
    for index, row in nodes_AC.iterrows():
        node_name = nodes_AC.at[index, 'Node_id']
        price_zone = nodes_AC.at[index, 'PZ']
        ACDC = 'AC'
        if price_zone is not None:
            pyf.assign_nodeToPrice_Zone(grid, node_name, ACDC, price_zone)
    
    for index, row in nodes_DC.iterrows():
        node_name = nodes_DC.at[index, 'Node_id']
        price_zone = nodes_DC.at[index, 'PZ']
        ACDC = 'DC'
        if price_zone is not None:
            pyf.assign_nodeToPrice_Zone(grid, node_name, ACDC, price_zone)
    
    # Add Generators
    
    
    # Add Renewable Source Zones

    
    # Add Renewable Sources
    pyf.add_RenSource(grid, 'PE_I_T1', 22.0, ren_source_name='PE_I_T1', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T2', 22.0, ren_source_name='PE_I_T2', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T3', 22.0, ren_source_name='PE_I_T3', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T4', 22.0, ren_source_name='PE_I_T4', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T5', 22.0, ren_source_name='PE_I_T5', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T6', 22.0, ren_source_name='PE_I_T6', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T7', 22.0, ren_source_name='PE_I_T7', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T8', 22.0, ren_source_name='PE_I_T8', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T9', 22.0, ren_source_name='PE_I_T9', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T10', 22.0, ren_source_name='PE_I_T10', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T11', 22.0, ren_source_name='PE_I_T11', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T12', 22.0, ren_source_name='PE_I_T12', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T13', 22.0, ren_source_name='PE_I_T13', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T14', 22.0, ren_source_name='PE_I_T14', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T15', 22.0, ren_source_name='PE_I_T15', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T16', 22.0, ren_source_name='PE_I_T16', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T17', 22.0, ren_source_name='PE_I_T17', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T18', 22.0, ren_source_name='PE_I_T18', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T19', 22.0, ren_source_name='PE_I_T19', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T20', 22.0, ren_source_name='PE_I_T20', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T21', 22.0, ren_source_name='PE_I_T21', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T22', 22.0, ren_source_name='PE_I_T22', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T23', 22.0, ren_source_name='PE_I_T23', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T24', 22.0, ren_source_name='PE_I_T24', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T25', 22.0, ren_source_name='PE_I_T25', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T26', 22.0, ren_source_name='PE_I_T26', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T27', 22.0, ren_source_name='PE_I_T27', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T28', 22.0, ren_source_name='PE_I_T28', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T29', 22.0, ren_source_name='PE_I_T29', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T30', 22.0, ren_source_name='PE_I_T30', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T31', 22.0, ren_source_name='PE_I_T31', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_I_T32', 22.0, ren_source_name='PE_I_T32', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T1', 22.0, ren_source_name='PE_II_T1', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T2', 22.0, ren_source_name='PE_II_T2', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T3', 22.0, ren_source_name='PE_II_T3', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T4', 22.0, ren_source_name='PE_II_T4', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T5', 22.0, ren_source_name='PE_II_T5', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T6', 22.0, ren_source_name='PE_II_T6', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T7', 22.0, ren_source_name='PE_II_T7', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T8', 22.0, ren_source_name='PE_II_T8', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T9', 22.0, ren_source_name='PE_II_T9', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T10', 22.0, ren_source_name='PE_II_T10', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T11', 22.0, ren_source_name='PE_II_T11', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T12', 22.0, ren_source_name='PE_II_T12', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T13', 22.0, ren_source_name='PE_II_T13', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T14', 22.0, ren_source_name='PE_II_T14', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T15', 22.0, ren_source_name='PE_II_T15', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T16', 22.0, ren_source_name='PE_II_T16', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T17', 22.0, ren_source_name='PE_II_T17', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T18', 22.0, ren_source_name='PE_II_T18', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T19', 22.0, ren_source_name='PE_II_T19', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T20', 22.0, ren_source_name='PE_II_T20', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T21', 22.0, ren_source_name='PE_II_T21', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T22', 22.0, ren_source_name='PE_II_T22', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T23', 22.0, ren_source_name='PE_II_T23', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T24', 22.0, ren_source_name='PE_II_T24', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T25', 22.0, ren_source_name='PE_II_T25', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T26', 22.0, ren_source_name='PE_II_T26', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T27', 22.0, ren_source_name='PE_II_T27', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T28', 22.0, ren_source_name='PE_II_T28', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T29', 22.0, ren_source_name='PE_II_T29', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T30', 22.0, ren_source_name='PE_II_T30', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T31', 22.0, ren_source_name='PE_II_T31', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T32', 22.0, ren_source_name='PE_II_T32', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T33', 22.0, ren_source_name='PE_II_T33', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T34', 22.0, ren_source_name='PE_II_T34', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T35', 22.0, ren_source_name='PE_II_T35', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T36', 22.0, ren_source_name='PE_II_T36', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T37', 22.0, ren_source_name='PE_II_T37', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T38', 22.0, ren_source_name='PE_II_T38', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T39', 22.0, ren_source_name='PE_II_T39', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T40', 22.0, ren_source_name='PE_II_T40', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T41', 22.0, ren_source_name='PE_II_T41', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T42', 22.0, ren_source_name='PE_II_T42', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T43', 22.0, ren_source_name='PE_II_T43', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T44', 22.0, ren_source_name='PE_II_T44', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T45', 22.0, ren_source_name='PE_II_T45', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T46', 22.0, ren_source_name='PE_II_T46', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T47', 22.0, ren_source_name='PE_II_T47', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T48', 22.0, ren_source_name='PE_II_T48', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T49', 22.0, ren_source_name='PE_II_T49', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T50', 22.0, ren_source_name='PE_II_T50', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T51', 22.0, ren_source_name='PE_II_T51', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T52', 22.0, ren_source_name='PE_II_T52', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T53', 22.0, ren_source_name='PE_II_T53', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T54', 22.0, ren_source_name='PE_II_T54', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T55', 22.0, ren_source_name='PE_II_T55', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T56', 22.0, ren_source_name='PE_II_T56', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T57', 22.0, ren_source_name='PE_II_T57', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T58', 22.0, ren_source_name='PE_II_T58', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T59', 22.0, ren_source_name='PE_II_T59', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T60', 22.0, ren_source_name='PE_II_T60', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T61', 22.0, ren_source_name='PE_II_T61', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T62', 22.0, ren_source_name='PE_II_T62', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T63', 22.0, ren_source_name='PE_II_T63', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_II_T64', 22.0, ren_source_name='PE_II_T64', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T1', 22.0, ren_source_name='PE_III_T1', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T2', 22.0, ren_source_name='PE_III_T2', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T3', 22.0, ren_source_name='PE_III_T3', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T4', 22.0, ren_source_name='PE_III_T4', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T5', 22.0, ren_source_name='PE_III_T5', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T6', 22.0, ren_source_name='PE_III_T6', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T7', 22.0, ren_source_name='PE_III_T7', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T8', 22.0, ren_source_name='PE_III_T8', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T9', 22.0, ren_source_name='PE_III_T9', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T10', 22.0, ren_source_name='PE_III_T10', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T11', 22.0, ren_source_name='PE_III_T11', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T12', 22.0, ren_source_name='PE_III_T12', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T13', 22.0, ren_source_name='PE_III_T13', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T14', 22.0, ren_source_name='PE_III_T14', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T15', 22.0, ren_source_name='PE_III_T15', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T16', 22.0, ren_source_name='PE_III_T16', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T17', 22.0, ren_source_name='PE_III_T17', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T18', 22.0, ren_source_name='PE_III_T18', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T19', 22.0, ren_source_name='PE_III_T19', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T20', 22.0, ren_source_name='PE_III_T20', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T21', 22.0, ren_source_name='PE_III_T21', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T22', 22.0, ren_source_name='PE_III_T22', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T23', 22.0, ren_source_name='PE_III_T23', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T24', 22.0, ren_source_name='PE_III_T24', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T25', 22.0, ren_source_name='PE_III_T25', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T26', 22.0, ren_source_name='PE_III_T26', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T27', 22.0, ren_source_name='PE_III_T27', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T28', 22.0, ren_source_name='PE_III_T28', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T29', 22.0, ren_source_name='PE_III_T29', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T30', 22.0, ren_source_name='PE_III_T30', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T31', 22.0, ren_source_name='PE_III_T31', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T32', 22.0, ren_source_name='PE_III_T32', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T33', 22.0, ren_source_name='PE_III_T33', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T34', 22.0, ren_source_name='PE_III_T34', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T35', 22.0, ren_source_name='PE_III_T35', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T36', 22.0, ren_source_name='PE_III_T36', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T37', 22.0, ren_source_name='PE_III_T37', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T38', 22.0, ren_source_name='PE_III_T38', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T39', 22.0, ren_source_name='PE_III_T39', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T40', 22.0, ren_source_name='PE_III_T40', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T41', 22.0, ren_source_name='PE_III_T41', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T42', 22.0, ren_source_name='PE_III_T42', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T43', 22.0, ren_source_name='PE_III_T43', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T44', 22.0, ren_source_name='PE_III_T44', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T45', 22.0, ren_source_name='PE_III_T45', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T46', 22.0, ren_source_name='PE_III_T46', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T47', 22.0, ren_source_name='PE_III_T47', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T48', 22.0, ren_source_name='PE_III_T48', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T49', 22.0, ren_source_name='PE_III_T49', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T50', 22.0, ren_source_name='PE_III_T50', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T51', 22.0, ren_source_name='PE_III_T51', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T52', 22.0, ren_source_name='PE_III_T52', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T53', 22.0, ren_source_name='PE_III_T53', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T54', 22.0, ren_source_name='PE_III_T54', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T55', 22.0, ren_source_name='PE_III_T55', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T56', 22.0, ren_source_name='PE_III_T56', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T57', 22.0, ren_source_name='PE_III_T57', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T58', 22.0, ren_source_name='PE_III_T58', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T59', 22.0, ren_source_name='PE_III_T59', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T60', 22.0, ren_source_name='PE_III_T60', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T61', 22.0, ren_source_name='PE_III_T61', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T62', 22.0, ren_source_name='PE_III_T62', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T63', 22.0, ren_source_name='PE_III_T63', available=1, Offshore=False, MTDC=None)
    pyf.add_RenSource(grid, 'PE_III_T64', 22.0, ren_source_name='PE_III_T64', available=1, Offshore=False, MTDC=None)

    
    # Return the grid
    return grid,res
